-- 获得新技能
Lua_SkillActiveTipsWindow = class("Lua_SkillActiveTipsWindow", Lua_Window);
function Lua_SkillActiveTipsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_SkillActiveTipsWindow";
	self.skinName = "SkillActiveTipsWindow_skin";
	self.layer = 4000;
	self.showClose = false;
	self.isClickClose = true;
end

function Lua_SkillActiveTipsWindow:buildShowItem()
	self:superCall("buildShowItem");

	-- 改为特效，这些隐藏
	self.bg:setEnable(false);
	self.titleSp:setEnable(false);
	self.skillIconBg:setEnable(false);

	self.autoTime = Lua_CommonUtil.getCommonConfig("skill_active_auto_time", 1);

	self.skillImg = UICreate.createUIAtlasImage(self.content, nil, nil, 0, 44, 0, 0);
	self.skillImg.name = "skillImg";
	self.skillImg:setDepth(5);

	-- self.effect = UICreate.createUIEffect(self.content, "/effects/scsEffects/gui_newskillactivation", "gui_newskillactivation", 0, 0);
	-- self.effect:SetRenderQueue(self.bg, -1, 2, false);
	-- self.effect:setDepth(6);

	self.modelTexture = UIModelTexture();
	self.modelTexture:init(self.content, Vector2(0, 0), Vector2(1280, 720), 0, Vector3(0, 0, 0), Vector2(0, 0), 1);
	self.modelTexture:setCamView(8.3);
	self.modelTexture:setCamPos(-5000, 0, 0);
	self.modelTexture:setUrl("/effects/scsEffects/gui_newskillactivation", "gui_newskillactivation");
end

function Lua_SkillActiveTipsWindow:showWin(param)
	self.skillVo = param;
	-- self.remarkTxt.text = self.skillVo.desc == nil and "" or self.skillVo.desc;
	self.nameTxt.text = self.skillVo.name;
	-- self.descTxt.text = self.skillVo.descName;

    -- 林天山：打开技能激活提示框时，人物需要停止移动，关闭提示界面后继续执行主线任务（2018.3.15策划需求）
	if self.skillVo.guideFloatingTarget ~= nil then
		DataCenter.skillData.needFloatingSkill =  true;
	end

	-- if self.skillVo.skillIcon ~= nil then
		self.skillImg:setAltas(self.skillVo.atlas, self.skillVo.skillIcon);
		self:addTimer("hide", self.autoTime, self, self.hide);
	-- end
end

function Lua_SkillActiveTipsWindow:hide()
	self:superCall("hide");

	local truckTaskList = DataCenter.taskData:getListByType(Lua_TaskDefine.TRUCK);
	if truckTaskList:getSize() > 0 then
		if DataCenter.roleData.sceneId < 20000 then
			DataCenter.hook:doTruckTask();
		end
	end

	if self.skillVo.guideFloatingTarget ~= nil then
		local sizeStr = LuaUtil.getUIItemSize(self.skillVo.guideFloatingTarget);
		local arr = string.split(sizeStr, "|");
		local px = tonumber(arr[3]);
		local py = tonumber(arr[4]);
		local a,b = string.find(self.skillVo.guideFloatingTarget, "Lua_MenuPanel");
		if a == nil then
			Lua_MsgUtil.callFunc("SET_MAIN_MENU",2);
			Lua_WindowUtil.openWin("Lua_IconFloatingWindow", WinParam.ACTION_OPEN, {atlas = self.skillVo.atlas, iconName = self.skillVo.skillIcon,
			dispatchEvent = "SKILL_FLOATING_COMPLETE", targetPosX = px, targetPosY = py, speed = 172});
		else
			Lua_WindowUtil.openWin("Lua_IconFloatingWindow", WinParam.ACTION_OPEN, {atlas = self.skillVo.atlas, iconName = self.skillVo.skillIcon,
			setMenu = 2, posType = 2, dispatchEvent = "SKILL_FLOATING_COMPLETE", targetPosX = px, targetPosY = py, speed = 172});
			Lua_MsgUtil.callFunc("SET_MAIN_MENU",1);
		end
	end
end

function Lua_SkillActiveTipsWindow:dispose()
	if self.skillImg ~= nil then
		self.skillImg:dispose();
		self.skillImg = nil;
	end
	if self.modelTexture ~= nil then
		self.modelTexture:dispose();
		self.modelTexture = nil;
	end
	-- if self.effect ~= nil then
	-- 	self.effect:dispose();
	-- 	self.effect = nil;
	-- end
	self:superCall("dispose");
end